Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1359110

Summary: Review Request: xreader - Simple document viewer
Product: [Fedora] Fedora Reporter: Mario Blättermann <mario.blaettermann>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: besser82, leigh123linux, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-10 18:43:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mario Blättermann 2016-07-22 10:09:46 UTC
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/xreader.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/xreader-1.0.7-1.fc24.src.rpm

Description:
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

Fedora Account System Username: mariobl

Comment 1 Mario Blättermann 2016-07-22 10:10:50 UTC
Scratch build on Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14978999

Comment 2 leigh scott 2016-07-22 10:29:57 UTC
The scriptlets need fixing (missing paths).

https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#Icon_Cache

Comment 3 Mario Blättermann 2016-07-23 16:07:22 UTC
I've fixed the scriptlet paths and some dierectory ownerships. It's somewhat strange: The caja and nemo packages provides directories for %{_libdir}/[caja,nemo]/extensions-[2,3].0/ but not for %{_datadir}/[caja,nemo]/extensions/. Maybe we should add them to those packages?

New files:
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/xreader.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/xreader-1.0.7-2.fc24.src.rpm

Comment 5 Mario Blättermann 2016-09-10 18:43:55 UTC
Sorry, I don't have the time to continue here.

Comment 6 Björn 'besser82' Esser 2017-02-19 18:22:56 UTC

*** This bug has been marked as a duplicate of bug 1424832 ***